    One-dimensional broken power-law function.

bpl1d
>>> create_model_component("bpl1d", "mdl")
>>> print(mdl)

Create a component of the bpl1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.gamma1 thawed 0 -10 10 mdl.gamma2 thawed 0 -10 10 mdl.eb thawed 100 0 1000 mdl.ref frozen 1 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 1e-20 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
gamma1
The slope of the power law below the break point.
gamma2
The slope of the power law above the break point.
eb
The position of the break point.
ref
The reference position for the amplitude.
ampl
The amplitude, defined with respect to the reference position.

Notes

The functional form of the model for points is:

f(x) = ampl * (x / ref)^(-gamma1) x <= eb

= ampl' * (x / ref)^(-gamma2) otherwise

ampl' = ampl (eb / ref)^(gamma2 - gamma1)

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023